summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/multiconfig.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/scripts/multiconfig.sh b/scripts/multiconfig.sh
index 49fcfad3c1..4a8737f352 100644
--- a/scripts/multiconfig.sh
+++ b/scripts/multiconfig.sh
@@ -252,6 +252,35 @@ do_savedefconfig () {
IFS=$save_IFS
}
+# Some sanity checks before running "make <objdir>/<target>",
+# where <objdir> should be either "spl" or "tpl".
+# Doing "make spl/menuconfig" etc. on a non-SPL board makes no sense.
+# It should be allowed only when ".config" exists and "CONFIG_SPL" is enabled.
+#
+# Usage:
+# check_enabled_sumbimage <objdir>/<target> <objdir>
+check_enabled_subimage () {
+
+ case $2 in
+ spl|tpl) ;;
+ *)
+ echo >&2 "***"
+ echo >&2 "*** \"make $1\" is not supported."
+ echo >&2 "***"
+ exit 1
+ ;;
+ esac
+ test -r "$KCONFIG_CONFIG" && get_enabled_subimages | grep -q $2 || {
+ config=CONFIG_$(echo $2 | tr '[a-z]' '[A-Z]')
+
+ echo >&2 "***"
+ echo >&2 "*** Create \"$KCONFIG_CONFIG\" with \"$config\" enabled"
+ echo >&2 "*** before \"make $1\"."
+ echo >&2 "***"
+ exit 1
+ }
+}
+
# Usage:
# do_others <objdir>/<target>
# The field "<objdir>/" is typically empy, "spl/", "tpl/" for Normal, SPL, TPL,
@@ -265,6 +294,7 @@ do_others () {
objdir=
else
objdir=${1%/*}
+ check_enabled_subimage $1 $objdir
fi
run_make_config $target $objdir
OpenPOWER on IntegriCloud